#!/bin/bash

FILE=$1
NUMBOOTREPS=$2
DIR=`dirname ${FILE}`
BASE=`basename ${FILE}`
LOCUS="${BASE%.*}"

# get a random number for seed value
RANDOM1=`python -c "import random; print random.randrange(0,1000000)"`
RANDOM2=`python -c "import random; print random.randrange(0,1000000)"`

# create a directory for the output
BOOTREPS=bootreps/${LOCUS}
mkdir -p $BOOTREPS

# change that directory
cd $BOOTREPS

# run raxml against $FILE
raxmlHPC-AVX -m GTRGAMMA -N $NUMBOOTREPS -p $RANDOM1 -b $RANDOM2 -n bootrep -k -s $FILE
